﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Unity.Configuration;
using System.Configuration;

namespace Artech.UnityInMVP
{
    public partial class ViewBase : Form
    {      

        private IUnityContainer _unityContainer;

        protected IUnityContainer UnityContainer
        {
            get
            {
                if (this._unityContainer == null)
                {
                    this._unityContainer = new UnityContainer();
                    UnityConfigurationSection unityConfigSection = ConfigurationManager.GetSection("unity") as UnityConfigurationSection;
                    unityConfigSection.Containers.Default.Configure(this._unityContainer);
                }
                return this._unityContainer;
            }
        }
    
    }
}
